SystemOrganization addCategory: #'Phidget-Primitives'!

Object subclass: #PhdMockPrimitives
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Phidget-Primitives'!

Object subclass: #PhdPrimitives
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Phidget-Primitives'!

!PhdPrimitives methodsFor: 'primitives-instanceCreation' stamp: 'lk 9/2/2009 19:07'!
primAccelerometerGetNewId
	"Create a new the Interface Kit object. Returns a new id for the Phidget, or nil if there was an error."

	<primitive: 'primAccelerometerGetNewId' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-instanceCreation' stamp: 'lk 9/2/2009 19:08'!
primAdvancedServoGetNewId
	"Create a new the Advanced Servo object. Returns a new id for the Phidget, or nil if there was an error."

	<primitive: 'primAdvancedServoGetNewId' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-close' stamp: 'lk 9/2/2009 18:59'!
primClose: phidgetIdArray
	"Close the Phidget with given id. 
	Return 1 if the operation succeeded, or other values otherwise."
	
	<primitive: 'primClose' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorGetAcceleration: phidgetHandle at: index
	"Gets the acceleration of the given motor."

	<primitive: 'primGetAdvancedServoAcceleration' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorGetAccelerationMax: phidgetHandle at: index
	"Gets the max. acceleration of the given motor."

	<primitive: 'primGetAdvancedServoAccelerationMax' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorGetAccelerationMin: phidgetHandle at: index
	"Gets the min. acceleration of the given motor."

	<primitive: 'primGetAdvancedServoAccelerationMin' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorGetCurrent: phidgetHandle at: index
	"Gets the current of the given motor."

	<primitive: 'primGetAdvancedServoCurrent' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorGetVelocity: phidgetHandle at: index
	"Gets the velocity of the given motor."

	<primitive: 'primGetAdvancedServoVelocity' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorGetVelocityLimit: phidgetHandle at: index
	"Gets the limit of the velocity of the given motor."

	<primitive: 'primGetAdvancedServoVelocityLimit' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorGetVelocityMax: phidgetHandle at: index
	"Gets the max. velocity of the given motor."

	<primitive: 'primGetAdvancedServoVelocityMax' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorGetVelocityMin: phidgetHandle at: index
	"Gets the min. velocity of the given motor."

	<primitive: 'primGetAdvancedServoVelocityMin' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorIsSpeedRampingOn: phidgetIdArray at: index
	"Returns 1 if the motor on the given index is using acceleration and velocity, or other values otherwise."

	<primitive: 'primIsAdvancedServoSpeedRampingOn' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:08'!
primCompAdvancedServoMotorIsStopped: phidgetIdArray at: index
	"Returns 1 if the motor on the given index is stopped and that there are no commands in the pipeline
to the servo, or other values otherwise."

	<primitive: 'primIsAdvancedServoStopped' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:09'!
primCompAdvancedServoMotorSetAcceleration: phidgetIdArray at: index to: aFloat
	"Set the acceleration of the motor at the given index to aFloat. aFloat must be between primGetAccelerationMin and primGetAccelerationMax.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetAdvancedServoAcceleration' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:20'!
primCompAdvancedServoMotorSetPositionMax: phidgetHandle at: index to: value
	"Sets the max. position of the given motor."

	<primitive: 'primSetAdvancedServoPositionMax' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:21'!
primCompAdvancedServoMotorSetPositionMin: phidgetHandle at: index to: value
	"Sets the min. position of the given motor."

	<primitive: 'primSetAdvancedServoPositionMin' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:09'!
primCompAdvancedServoMotorSetSemaphoreIndexCurrentChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when the current draw changes on the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexAdvancedServoCurrentChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:09'!
primCompAdvancedServoMotorSetSemaphoreIndexVelocityChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when the velocity changes on the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexAdvancedServoVelocityChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:07'!
primCompAdvancedServoMotorSetSpeedRampingOn: phidgetIdArray at: index to: value
	"Sets whether acceleration and velocity of the motor at the given index are used or not.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetAdvancedServoSpeedRampingOn' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:07'!
primCompAdvancedServoMotorSetVelocity: phidgetIdArray at: index to: aFloat
	"Set the velocity of the motor at the given index to aFloat. aFloat must be between primGetVelocityMin and primGetVelocityMax.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetAdvancedServoVelocity' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAdvancedServoMotor' stamp: 'lk 9/2/2009 22:33'!
primCompAdvancedServoMotorSetVelocityLimit: phidgetIdArray at: index to: aFloat
	"Set the limit of the velocity of the motor at the given index to aFloat. aFloat must be between primGetVelocityMin and primGetVelocityMax.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetAdvancedServoVelocityLimit' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAnalogSensor' stamp: 'lk 9/2/2009 21:37'!
primCompAnalogSensorComponentCount: phidgetIdArray
	"Gets the number of sensors for a phidget analog sensors component."

	<primitive: 'primNumAnalogSensors' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compAnalogSensor' stamp: 'lk 9/2/2009 21:38'!
primCompAnalogSensorGetChangeTrigger: phidgetIdArray at: index
	"Gets the current change trigger of the given Phidget's sensor at given index."

	<primitive: 'primGetIntegerChangeTrigger' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compAnalogSensor' stamp: 'lk 9/2/2009 21:38'!
primCompAnalogSensorGetValue: phidgetIdArray at: index
	"Gets the sensor value (0-1000) at the analog input with the given index."

	<primitive: 'primGetAnalogSensorValue' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compAnalogSensor' stamp: 'lk 9/2/2009 21:38'!
primCompAnalogSensorSetChangeTrigger: phidgetIdArray at: index to: anInteger
	"Sets the change trigger of given Phidget at given sensor index to the given value.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetIntegerChangeTrigger' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAnalogSensor' stamp: 'lk 9/2/2009 21:39'!
primCompAnalogSensorSetSemaphoreIndexChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when an sensor value changes on the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexAnalogSensorChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAxis' stamp: 'lk 9/2/2009 21:41'!
primCompAxisComponentCount: phidgetHandle
	"Gets the number of axes for a phidget axis component."

	<primitive: 'primNumAxes' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAxis' stamp: 'lk 9/2/2009 21:43'!
primCompAxisGetAcceleration: phidgetHandle at: index
	"Gets the acceleration of the given axis."

	<primitive: 'primGetAxisAcceleration' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAxis' stamp: 'lk 9/2/2009 21:45'!
primCompAxisGetAccelerationMax: phidgetIdArray at: index
	"Returns a float containing max. possible acceleration of the axis at the given index."

	<primitive: 'primGetAxisAccelerationMax' module: 'PhidgetPlugin'>
	^ 0.0! !

!PhdPrimitives methodsFor: 'primitives-compAxis' stamp: 'lk 9/2/2009 21:45'!
primCompAxisGetAccelerationMin: phidgetIdArray at: index
	"Returns a float containing min. possible acceleration of the axis at the given index."

	<primitive: 'primGetAxisAccelerationMin' module: 'PhidgetPlugin'>
	^ 0.0! !

!PhdPrimitives methodsFor: 'primitives-compAxis' stamp: 'lk 9/2/2009 21:43'!
primCompAxisGetChangeTrigger: phidgetHandle at: index

	<primitive: 'primGetIndexedDoubleChangeTrigger' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAxis' stamp: 'lk 9/2/2009 21:43'!
primCompAxisSetChangeTrigger: phidgetHandle at: index to: anInteger

	<primitive: 'primSetIndexedDoubleChangeTrigger' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compAxis' stamp: 'lk 9/2/2009 21:44'!
primCompAxisSetSemaphoreIndexChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when an acceleration occurs on the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexAxisChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compDigitalInput' stamp: 'lk 9/2/2009 21:48'!
primCompDigitalInputComponentCount: phidgetIdArray
	"Gets the number of inputs for a phidget digital input component."

	<primitive: 'primNumDigitalInputs' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compDigitalInput' stamp: 'lk 9/2/2009 21:48'!
primCompDigitalInputGetValue: phidgetIdArray at: index
	"Gets the input value (0/1 = off/on) at the digital input with the given index."

	<primitive: 'primGetDigitalInputValue' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compDigitalInput' stamp: 'lk 9/2/2009 21:48'!
primCompDigitalInputSetSemaphoreIndexChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when an input value changes on the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexDigitalInputChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compDigitalOutput' stamp: 'lk 9/2/2009 21:49'!
primCompDigitalOutputComponentCount: phidgetIdArray
	"Gets the number of outputs for a phidget digital output component."

	<primitive: 'primNumDigitalOutputs' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compDigitalOutput' stamp: 'lk 9/2/2009 21:50'!
primCompDigitalOutputGetValue: phidgetIdArray at: index
	"Gets the output value (0/1 = off/on) at the digital output with the given index."

	<primitive: 'primGetDigitalOutputValue' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compDigitalOutput' stamp: 'lk 9/2/2009 21:50'!
primCompDigitalOutputSetSemaphoreIndexChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when an output value changes on the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexDigitalOutputChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compDigitalOutput' stamp: 'lk 9/2/2009 21:50'!
primCompDigitalOutputSetValue: phidgetIdArray at: index to: value
	"Sets the output value (0/1 = off/on) at the digital output with the given index to the given value.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetDigitalOutputValue' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:52'!
primCompMotorComponentCount: phidgetHandle
	"Gets the number of motors for a phidget motor component."

	<primitive: 'primNumMotors' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorGetAcceleration: phidgetHandle at: index
	"Gets the acceleration of the given motor."

	<primitive: 'primGetMotorAcceleration' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorGetAccelerationMax: phidgetHandle at: index
	"Returns a float containing max. possible acceleration of the motor at the given index."

	<primitive: 'primGetMotorAccelerationMax' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorGetAccelerationMin: phidgetHandle at: index
	"Returns a float containing min. possible acceleration of the motor at the given index."

	<primitive: 'primGetMotorAccelerationMin' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorGetCurrent: phidgetHandle at: index
	"Gets the current of the given motor."

	<primitive: 'primGetMotorCurrent' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorGetVelocity: phidgetHandle at: index
	"Gets the velocity of the given motor."

	<primitive: 'primGetMotorVelocity' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorSetAcceleration: phidgetIdArray at: index to: aFloat
	"Set the acceleration of the motor at the given index to aFloat. aFloat must be between primGetAccelerationMin and primGetAccelerationMax.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetMotorAcceleration' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorSetSemaphoreIndexCurrentChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when the current draw changes on the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexMotorCurrentChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorSetSemaphoreIndexVelocityChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when the velocity changes on the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexMotorVelocityChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compMotor' stamp: 'lk 9/2/2009 21:53'!
primCompMotorSetVelocity: phidgetIdArray at: index to: aFloat
	"Set the velocity of the motor at the given index to aFloat. (For succeed: aFloat has to be in Range of -100.0 and 100.0)
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetMotorVelocity' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compRFID' stamp: 'lk 9/2/2009 19:37'!
primCompRFIDGetLastTag: phidgetIdArray
	"Answer a array of 5 bytes representing the id of the tag last read by this phidget, or nil if there was an error."

	<primitive: 'primGetLastRFIDTag' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compRFID' stamp: 'lk 9/2/2009 19:38'!
primCompRFIDHasTag: phidgetIdArray
	"Answer 1 if the Phidget currently reads a tag, or other values otherwise."
	
	<primitive: 'primHasRFIDTag' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compRFID' stamp: 'lk 9/2/2009 19:38'!
primCompRFIDIsAntennaOn: phidgetIdArray
	"Answer 1 if the antenna is on, or other values otherwise."
	
	<primitive: 'primIsRFIDAntennaOn' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compRFID' stamp: 'lk 9/2/2009 19:39'!
primCompRFIDSetAntennaState: phidgetIdArray to: state
	"Set the state of the antenna to on (state=1) or off (state=0).
	Return 1 if the operation succeeded, or other values otherwise."
	
	<primitive: 'primSetRFIDAntennaState' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compRFID' stamp: 'lk 9/2/2009 19:39'!
primCompRFIDSetSemaphoreIndexTagFound: semaphoreIndex for: phidgetIdArray
	"registers the given semaphore to be signaled when a tag is found by the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexRFIDTagFound' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compRFID' stamp: 'lk 9/2/2009 19:39'!
primCompRFIDSetSemaphoreIndexTagLost: semaphoreIndex for: phidgetIdArray
	"registers the given semaphore to be signaled when a tag is lost by the given Phidget.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexRFIDTagLost' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compServoMotor' stamp: 'lk 9/2/2009 21:56'!
primCompServoMotorComponentCount: phidgetIdArray
	"Gets the number of servo motors for a (simple) servo motor component."

	<primitive: 'primNumServoMotors' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compServoMotor' stamp: 'lk 9/2/2009 22:00'!
primCompServoMotorGetMaxPosition: phidgetIdArray at: index
	"Returns a float containing max. possible position of the motor at the given index."

	<primitive: 'primGetServoPositionMax' module: 'PhidgetPlugin'>
	^ 0.0! !

!PhdPrimitives methodsFor: 'primitives-compServoMotor' stamp: 'lk 9/2/2009 22:00'!
primCompServoMotorGetMinPosition: phidgetIdArray at: index
	"Returns a float containing min. possible position of the motor at the given index."

	<primitive: 'primGetServoPositionMin' module: 'PhidgetPlugin'>
	^ 0.0! !

!PhdPrimitives methodsFor: 'primitives-compServoMotor' stamp: 'lk 9/2/2009 22:00'!
primCompServoMotorGetPosition: phidgetIdArray at: index
	"Returns a float containing the position of the motor at the given index."

	<primitive: 'primGetServoPosition' module: 'PhidgetPlugin'>
	^ 0.0! !

!PhdPrimitives methodsFor: 'primitives-compServoMotor' stamp: 'lk 9/2/2009 22:00'!
primCompServoMotorIsEngaged: phidgetIdArray at: index
	"Returns 1 if the motor on the given index is engaged, or other values otherwise."

	<primitive: 'primIsServoEngaged' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compServoMotor' stamp: 'lk 9/2/2009 22:00'!
primCompServoMotorSetEngaged: phidgetIdArray at: index to: value
	"Sets the engagement state (0/1 = off/on) of the motor at the given index.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetServoEngaged' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compServoMotor' stamp: 'lk 9/2/2009 22:00'!
primCompServoMotorSetPosition: phidgetIdArray at: index to: aFloat
	"Set the position of the motor at the given index to aFloat. aFloat must be between primGetPositionMin and primGetPositionMax.
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetServoPosition' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compServoMotor' stamp: 'lk 9/2/2009 22:00'!
primCompServoMotorSetSemaphoreIndexPositionChange: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when a motor changes its position.
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexServoPositionChange' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compSimpleLED' stamp: 'lk 9/2/2009 19:44'!
primCompSimpleLEDIsOn: phidgetIdArray
	"Answer 1 if theLED is on, or other values otherwise."
	
	<primitive: 'primIsSimpleLEDOn' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compSimpleLED' stamp: 'lk 9/2/2009 19:44'!
primCompSimpleLEDSetState: phidgetIdArray to: state
	"Set the state of the LED to true (state=1) or false (state=0).
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetSimpleLEDState' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compTextDisplay' stamp: 'lk 9/2/2009 19:45'!
primCompTextDisplayColumnCount: phidgetIdArray
	"Answer the number of columns this display has."
	
	<primitive: 'primGetTextDisplayColumnCount' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compTextDisplay' stamp: 'lk 9/2/2009 19:46'!
primCompTextDisplayRowCount: phidgetIdArray
	"Answer the number of rows this display has."
	
	<primitive: 'primGetTextDisplayRowCount' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compTextDisplay' stamp: 'lk 9/2/2009 19:45'!
primCompTextDisplaySetCharacter: phidgetIdArray in: row and: column value: charStringArray
	"Set the charachter in row 'row' and column 'coulumn' to charStringArray.
	charStringArray is _not_ a Character, but a String exact length of 1."
	
	<primitive: 'primSetTextDisplayCharacter' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compTextDisplay' stamp: 'lk 9/2/2009 19:46'!
primCompTextDisplaySetString: phidgetIdArray in: row value: stringArray
	"Set the text in row 'row' to stringArray. The string must be <= row count."
	
	<primitive: 'primSetTextDisplayString' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:50'!
primCompTextLCDBacklightIsOn: phidgetIdArray
	"Answer 1 if the backlight is on, or other values otherwise."
	
	<primitive: 'primIsTextLCDBacklightOn' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:50'!
primCompTextLCDCursorIsBlinking: phidgetIdArray
	"Answer 1 if the cursor is blinking, or other values otherwise."
	
	<primitive: 'primIsTextLCDCursorBlinking' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:50'!
primCompTextLCDCursorIsOn: phidgetIdArray
	"Answer 1 if the cursor is on, or other values otherwise."
	
	<primitive: 'primIsTextLCDCursorOn' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:51'!
primCompTextLCDGetContrast: phidgetHandle
	"Gets the contrast (0..255) of the given phidget."

	<primitive: 'primGetTextLCDContrast' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:51'!
primCompTextLCDSetBacklightOn: phidgetIdArray to: state
	"Set the state of the backlight to enabled (state=1) or disabled (state=0).
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetTextLCDBacklightOn' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:51'!
primCompTextLCDSetContrast: phidgetHandle to: aNumber
	"Sets the contrast of the given phidget to aNumber (0..255).
	Return 1 if the operation succeeded, other values otherwise."

	<primitive: 'primSetTextLCDContrast' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:51'!
primCompTextLCDSetCursorBlinking: phidgetIdArray to: state
	"Set the state of the cursor to blinking (state=1) or not blinking (state=0).
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetTextLCDCursorBlinking' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:51'!
primCompTextLCDSetCursorOn: phidgetIdArray to: state
	"Set the state of the cursor to enabled (state=1) or disabled (state=0).
	Return 1 if the operation succeeded, other values otherwise."
	
	<primitive: 'primSetTextLCDCursorOn' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-compTextLCD' stamp: 'lk 9/2/2009 19:52'!
primCompTextLCDSetCustomChar: phidgetIdArray at: index to: upper and: lower
	"Sets the custom character at the given index using the upper and lower value. Returns 1 if succeeded, or other values otherwise."
	
	<primitive: 'primSetTextLCDCustomChar' module: 'PhidgetPlugin'>
	^ 0! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:00'!
primGetDeviceClass: phidgetIdArray
	"Answer the device class id of the opened device with given id. Answers -1 if an error occurred."

	<primitive: 'primGetDeviceClass' module: 'PhidgetPlugin'>
	^ -1! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:01'!
primGetDeviceName: phidgetIdArray
	"Answer a byte array of the name of the opened device with given id. Answers nil if an error occurred."

	<primitive: 'primGetDeviceName' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:01'!
primGetDeviceType: phidgetIdArray
	"Answer the device type id of the opened device with given id. Answers -1 if an error occurred."

	<primitive: 'primGetDeviceType' module: 'PhidgetPlugin'>
	^ -1! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:01'!
primGetLabel: phidgetIdArray
	"Answer a byte array of the label of the opened device with given id. Answers nil if an error occurred."

	<primitive: 'primGetLabel' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:01'!
primGetSerialNumber: phidgetIdArray
	"Returns the Phidget's serial number, or -1 if there was an error.."
	
	<primitive: 'primGetSerialNumber' module: 'PhidgetPlugin'>
	^ -1! !

!PhdPrimitives methodsFor: 'primitives-instanceCreation' stamp: 'lk 9/2/2009 19:07'!
primInterfaceKitGetNewId
	"Create a new the Interface Kit object. Returns a new id for the Phidget, or nil if there was an error."

	<primitive: 'primInterfaceKitGetNewId' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:01'!
primIsAttached: phidgetidArray
	"Returns 1 if the Phidget is attached, and other values otherwise."
	
	<primitive: 'primIsAttached' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:02'!
primIsValid: phidgetIdArray
	"Returns 1 if the Phidget id is valid, or other values otherwise."
	
	<primitive: 'primIsValid' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-instanceCreation' stamp: 'lk 9/2/2009 19:08'!
primMotorControlGetNewId
	"Create a new the Motor Control object. Returns a new id for the Phidget, or nil if there was an error."

	<primitive: 'primMotorControlGetNewId' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-open' stamp: 'lk 9/2/2009 19:02'!
primOpen: phidgetIdArray serial: serial serverAddress: serverAddress port: port password: password
	"Opens the Phidget remotely with the given serial number, server address, port and password.
	Return 1 if the operation succeeded, or other values otherwise."

	<primitive: 'primOpenRemoteAddress' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-open' stamp: 'lk 9/2/2009 19:03'!
primOpen: phidgetIdArray serial: serial serverID: serverID password: password
	"Opens the Phidget remotely with the given serial number, server ID and password.
	Return 1 if the operation succeeded, or other values otherwise."

	<primitive: 'primOpenRemoteID' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-open' stamp: 'lk 9/2/2009 19:03'!
primOpen: phidgetIdArray withSerial: serial
	"Opens the Phidget with the given serial number.
	Return 1 if the operation succeeded, or other values otherwise."

	<primitive: 'primOpen' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-instanceCreation' stamp: 'lk 9/2/2009 19:08'!
primRFIDGetNewId
	"Create a new the RFID object. Returns a new id for the Phidget, or nil if there was an error."

	<primitive: 'primRFIDGetNewId' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-instanceCreation' stamp: 'lk 9/2/2009 19:08'!
primServoGetNewId
	"Create a new the Servo object. Returns a new id for the Phidget, or nil if there was an error."

	<primitive: 'primServoGetNewId' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:03'!
primSetSemaphoreIndexAttach: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when the Phidget with given id is attached.
	Return 1 if the operation succeeded, or other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexAttach' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:04'!
primSetSemaphoreIndexDetach: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when the Phidget with given id is attached.
	Return 1 if the operation succeeded, or other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexDetach' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-phidgetCommon' stamp: 'lk 9/2/2009 19:04'!
primSetSemaphoreIndexError: semaphoreIndex for: phidgetIdArray
	"registers the given Semaphore to be signaled when the Phidget with given id is attached.
	Return 1 if the operation succeeded, or other values otherwise."
	
	<primitive: 'primSetSemaphoreIndexError' module: 'PhidgetPlugin'>
	^ nil! !

!PhdPrimitives methodsFor: 'primitives-instanceCreation' stamp: 'lk 9/2/2009 19:09'!
primTextLCDGetNewId
	"Create a new the Text LCD object. Returns a new id for the Phidget, or nil if there was an error."

	<primitive: 'primTextLCDGetNewId' module: 'PhidgetPlugin'>
	^ nil! !
